yast2-ncurses: NCIntField Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCIntField Class Reference

`#include <NCIntField.h>`

Inheritance diagram for NCIntField:

List of all members.

## Public Member Functions
| NCIntField (NCWidget *parent, const YWidgetOpt &opt, const YCPString &label, int minValue, int maxValue, int initialValue)
virtual | ~NCIntField ()
virtual long | nicesize (YUIDimension dim)
virtual void | setSize (long newwidth, long newheight)
virtual void | setLabel (const YCPString &nlabel)
virtual void | setValue (int newValue)
virtual NCursesEvent | wHandleInput (wint_t key)
virtual bool | setKeyboardFocus ()
virtual void | setEnabling (bool do_bv)
## Protected Member Functions
virtual const char * | location () const
virtual void | wCreate (const wrect &newrect)
virtual void | wDelete ()
virtual void | wRedraw ()
bool | Increment (const bool bigstep=false)
bool | Decrement (const bool bigstep=false)
int | enterPopup (wchar_t first=L'\0')
## Private Member Functions
NCIntField & | operator= (const NCIntField &)
| NCIntField (const NCIntField &)
void | setDefsze ()
void | tUpdate ()
## Private Attributes
NClabel | label
NCursesWindow * | lwin
NCursesWindow * | twin
int | cvalue
unsigned | vlen
unsigned | vstart
## Static Private Attributes
static const unsigned | taglen = 2
## Friends
std::ostream & | operator<< (std::ostream &STREAM, const NCIntField &OBJ)

## Constructor & Destructor Documentation

NCIntField::NCIntField | ( | const NCIntField & |  | ) | `[private]`

NCIntField::NCIntField | ( | NCWidget * | parent,
|  | const YWidgetOpt & | opt,
|  | const YCPString & | label,
|  | int | minValue,
|  | int | maxValue,
|  | int | initialValue
| ) |

NCIntField::~NCIntField | ( |  | ) | `[virtual]`

## Member Function Documentation

bool NCIntField::Decrement | ( | const bool | bigstep = `false` | ) | `[protected]`

int NCIntField::enterPopup | ( | wchar_t | first = `L'\0'` | ) | `[protected]`

bool NCIntField::Increment | ( | const bool | bigstep = `false` | ) | `[protected]`

virtual const char* NCIntField::location | ( |  | ) | const`[inline, protected, virtual]`

| Reimplemented from NCWidget.

long NCIntField::nicesize | ( | YUIDimension | dim | ) | `[virtual]`

| Implements YWidget.

NCIntField& NCIntField::operator= | ( | const NCIntField & |  | ) | `[private]`

void NCIntField::setDefsze | ( |  | ) | `[private]`

virtual void NCIntField::setEnabling | ( | bool | do_bv | ) | `[inline, virtual]`

| Pure virtual to make shure every widget implements it. Necessary to make shure that UI requests via YWidget::setEnabling perform, and behave the same way as direct calls to NCWidget::setEnabling. Defaut implementation is provided, and for most derived widgets it's ok to simply use it. Implements NCWidget.

virtual bool NCIntField::setKeyboardFocus | ( |  | ) | `[inline, virtual]`

| Reimplemented from YWidget.

void NCIntField::setLabel | ( | const YCPString & | nlabel | ) | `[virtual]`

| Reimplemented from YIntField.

void NCIntField::setSize | ( | long | newwidth,
|  | long | newheight
| ) | `[virtual]`

| Reimplemented from YWidget.

void NCIntField::setValue | ( | int | newValue | ) | `[virtual]`

| Reimplemented from YIntField.

void NCIntField::tUpdate | ( |  | ) | `[private]`

void NCIntField::wCreate | ( | const wrect & | newrect | ) | `[protected, virtual]`

| Reimplemented from NCWidget.

void NCIntField::wDelete | ( |  | ) | `[protected, virtual]`

| Reimplemented from NCWidget.

NCursesEvent NCIntField::wHandleInput | ( | wint_t | key | ) | `[virtual]`

| Reimplemented from NCWidget.

void NCIntField::wRedraw | ( |  | ) | `[protected, virtual]`

| Reimplemented from NCWidget.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | STREAM,
|  | const NCIntField & | OBJ
| ) | `[friend]`

## Member Data Documentation

int NCIntField::cvalue`[private]`

NClabel NCIntField::label`[private]`

NCursesWindow* NCIntField::lwin`[private]`

const unsigned NCIntField::taglen = 2`[static, private]`

NCursesWindow* NCIntField::twin`[private]`

unsigned NCIntField::vlen`[private]`

unsigned NCIntField::vstart`[private]`

The documentation for this class was generated from the following files:

- NCIntField.h
- NCIntField.cc